## grendel.ui
Class UIAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--grendel.ui.UIAction

public class UIAction
extends javax.swing.AbstractAction

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Constructor Summary
`UIAction(java.lang.String aName)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.String` | `getName()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIAction

    public UIAction(java.lang.String aName)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Overrides:
    actionPerformed in class javax.swing.AbstractAction

### getName

    public java.lang.String getName()